Package Details: ldoce5viewer-pyqt5-git 1.0-4

Git Clone URL: https://aur.archlinux.org/ldoce5viewer-pyqt5-git.git (read-only, click to copy)
Package Base: ldoce5viewer-pyqt5-git
Description: LDOCE5 viewer ported to PyQt5 for retina (HiDPI) support.
Upstream URL: https://github.com/purboo/ldoce5viewer-pyqt5
Keywords: Dictionary HiDPI
Licenses: GPL3
Conflicts: ldoce5viewer, ldoce5viewer-git
Submitter: purboo
Maintainer: purboo (promike, dynamo)
Last Packager: purboo
Votes: 8
Popularity: 0.000029
First Submitted: 2017-02-28 13:16
Last Updated: 2019-12-18 15:37

Latest Comments

1 2 Next › Last »

purboo commented on 2019-12-18 15:38

@promike The package pyqt5-common is no longer required.

promike commented on 2019-12-14 15:36

How did you satisfy dependencies without pyqt5-common?

mgundogdu1 commented on 2019-12-14 08:35

@purboo thanks a lot! LDOCE5Viewer works fine on Manjaro Xfce latest stable!

purboo commented on 2019-12-14 06:38

@promike @mgundogdu1 The issue has been fixed.

mgundogdu1 commented on 2019-12-13 08:14

Hi! I couldn't open from menu; but try in command line it turns: Traceback (most recent call last): File "/usr/bin/ldoce5viewer", line 5, in <module> from ldoce5viewer import qtgui ModuleNotFoundError: No module named 'ldoce5viewer'

This happen after last Manjaro update. My system is: Manjaro Xfce latest stable. Edit: After rebuilt I get same error like @promike qt5ct: using qt5ct plugin Traceback (most recent call last): File "/usr/bin/ldoce5viewer", line 9, in <module> sys.exit(qtgui.run(sys.argv)) File "/usr/lib/python3.8/site-packages/ldoce5viewer/qtgui/init.py", line 98, in run from .main import MainWindow File "/usr/lib/python3.8/site-packages/ldoce5viewer/qtgui/main.py", line 33, in <module> from ..ldoce5.idmreader import is_ldoce5_dir File "/usr/lib/python3.8/site-packages/ldoce5viewer/ldoce5/init.py", line 9, in <module> from . import transform File "/usr/lib/python3.8/site-packages/ldoce5viewer/ldoce5/transform.py", line 9, in <module> from cgi import escape ImportError: cannot import name 'escape' from 'cgi' (/usr/lib/python3.8/cgi.py)

promike commented on 2019-12-05 11:15

cgi.escape was deprecated and got finally removed in 3.8

$ ldoce5viewer Traceback (most recent call last): File "/usr/bin/ldoce5viewer", line 9, in <module> sys.exit(qtgui.run(sys.argv)) File "/usr/lib/python3.8/site-packages/ldoce5viewer/qtgui/init.py", line 98, in run from .main import MainWindow File "/usr/lib/python3.8/site-packages/ldoce5viewer/qtgui/main.py", line 33, in <module> from ..ldoce5.idmreader import is_ldoce5_dir File "/usr/lib/python3.8/site-packages/ldoce5viewer/ldoce5/init.py", line 9, in <module> from . import transform File "/usr/lib/python3.8/site-packages/ldoce5viewer/ldoce5/transform.py", line 9, in <module> from cgi import escape ImportError: cannot import name 'escape' from 'cgi' (/usr/lib/python3.8/cgi.py)

AmirrezaFiroozi commented on 2018-11-15 07:39

Just Updated and the printing problem is gone :) thanks

mgundogdu1 commented on 2018-11-15 05:36

I update today on Manjaro Xfce and no issue. Thanks. Best regards

AmirrezaFiroozi commented on 2018-11-15 04:12

@purboo Hi I think the following line should be added to the PKGBUILD file in order to fix the QPrint() problem.

sed -i '29i from PyQt5.QtPrintSupport import * ' ldoce5viewer/qtgui/main.py

edrlima commented on 2018-08-10 11:47

@purboo - It worked after rebuild and reinstall. Tks